import 'package:durt/src/crypto/dewif.dart';
import 'package:test/test.dart';

void main() {
  group('wallets', () {
    test('Create dewif and unlock it', () {
      print('\n------------------\n DEWIF Test\n------------------\n');

      Dewif _dewif = Dewif();
      var mnemonicRFC =
          "crop cash unable insane eight faith inflict route frame loud box vibrant";
      var _dewifDataRFC = _dewif.generateDewif(mnemonicRFC, 'toto titi tata',
          lang: 'english',
          dewifCurrencyCode: DEWIF_CURRENCY_CODE_G1_TEST,
          testRfc: true);
      print(_dewifDataRFC);

      String? decryptedDewifRFC;
      try {
        decryptedDewifRFC = _dewif.mnemonicFromDewif(
            _dewifDataRFC, 'toto titi tata',
            lang: 'english', dewifCurrencyCode: DEWIF_CURRENCY_CODE_G1_TEST);
        print('Unlock: ' + decryptedDewifRFC);
      } on ChecksumException {
        print('Bad secret code');
      } catch (e) {
        print(e);
      }
      expect(
          decryptedDewifRFC?.trim(),
          equals(
              'crop cash unable insane eight faith inflict route frame loud box vibrant'));
    });
  });
}
