import 'package:test/test.dart';
import 'package:durt/src/crypto/hd_wallet.dart';

void main() {
  group('wallets', () {
    test('Generate HD wallet with first pubkey', () {
      const String mnemonicLang = 'french';

      print('------------------\n HD Wallet Test\n------------------\n');
      var mnemonicTest = generateMnemonic(lang: mnemonicLang);
      expect(mnemonicTest.split(' ').length, 12);

      String mnemonic =
          "mauve victoire victoire cupide chaleur minimal punaise utopie plumage géologie quitter chaise";

      HdWallet _hdWallet = HdWallet.fromMnemonic(mnemonic, lang: mnemonicLang);

      String pubkey0 = _hdWallet.getPubkey(0);

      String message = "blabla test";
      var signature = _hdWallet.sign(message, derivation: 0);
      bool isOK = _hdWallet.verifySign(message, signature, derivation: 0);

      print('Mnemonic: ' + mnemonic);
      print('Pubkey 0: ' + pubkey0);
      print('Is signature OK ? : ' + isOK.toString());

      expect(pubkey0, '5Njj4DLDfS5v5bZs61f11V3vgnHzUJpURvATFdY1RXJL');
      expect(isOK, true);
    });
  });
}
